[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadInt8

Read an 8-bits integer.

## Declaration

Source position: classesh.inc line 1171

`public function TBinaryObjectReader.ReadInt8: ShortInt; override;`

## Description

Read8Int reads an 8-bits signed integer from a binary stream.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader

Documentation generated on: Feb 26 2014